Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.beanvalidator
Class ClientConstraintDescriptor

    java.lang.Object
      org.apache.tapestry5.beanvalidator.ClientConstraintDescriptor

    public final class ClientConstraintDescriptor

extends java.lang.Object

Describes a single client-side constraint.

Constructor Summary
`ClientConstraintDescriptor(java.lang.Class annotationClass, java.lang.String validatorName, java.lang.String... attributes)` Creates a `ClientConstraintDescriptor`.

Method Summary
`java.lang.Class` | `getAnnotationClass()` Returns the annotation describing the constraint declaration.
`java.util.Set<java.lang.String>` | `getAttributes()` Attribute names of the constraint annotation to be passed (along with their values) to the JavaScript validator function as an `JSONObject`.
`java.lang.String` | `getValidatorName()` Returns the name of the client-side validator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientConstraintDescriptor

    public ClientConstraintDescriptor(java.lang.Class annotationClass,
                                      java.lang.String validatorName,
                                      java.lang.String... attributes)

  Creates a `ClientConstraintDescriptor`.

  Parameters:
    `annotationClass` - Type of the constraint annotation
    `validatorName` - Name of the client-side validator
    `attributes` - Attribute names of the constraint annotation to be passed (along with their values) to the JavaScript validator function as an `JSONObject`.

Method Detail

### getAnnotationClass

    public java.lang.Class getAnnotationClass()

  Returns the annotation describing the constraint declaration.

### getValidatorName

    public java.lang.String getValidatorName()

  Returns the name of the client-side validator.

### getAttributes

    public java.util.Set<java.lang.String> getAttributes()

  Attribute names of the constraint annotation to be passed (along with their values) to the JavaScript validator function as an `JSONObject`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.